{% extends 'base.html.twig' %}

{% block title %}Game index{% endblock %}

{% block body %}
    <h1>Game index</h1>

   {# <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Title_game</th>
                <th>Description_game</th>
                <th>Released_at</th>
                <th>Game_cover</th>
                <th>Nb_sell_game</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for game in games %}
            <tr>
                <td>{{ game.id }}</td>
                <td>{{ game.titleGame }}</td>
                <td>{{ game.descriptionGame }}</td>
                <td>{{ game.releasedAt ? game.releasedAt|date('Y-m-d') : '' }}</td>
                <td><img class="logoPlatform" src="../uploads/image/{{ game.gameCover }}" alt=""></td>
                <td>{{ game.nbSellGame }}</td>
                <td>
                    <a href="{{ path('game_show', {'id': game.id}) }}">show</a>
                    <a href="{{ path('game_edit', {'id': game.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="7">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>#}

    <div class="mdl-cell mdl-cell--12-col-desktop mdl-cell--12-col-tablet mdl-cell--4-col-phone scroll-tab">
        <div class="mdl-card mdl-shadow--2dp">
            <div class="mdl-card__title">
                <h1 class="mdl-card__title-text">Advanced table</h1>
            </div>
            <div class="mdl-card__supporting-text no-padding">
                <table class="mdl-data-table mdl-js-data-table">
                    <thead>
                    <tr>
                        <th class="mdl-data-table__cell--non-numeric">Id</th>
                        <th class="mdl-data-table__cell--non-numeric">Title_game</th>
                        <th class="mdl-data-table__cell--non-numeric">Description_game</th>
                        <th class="mdl-data-table__cell--non-numeric">Released_at</th>
                        <th class="mdl-data-table__cell--non-numeric">Game_cover</th>
                        <th class="mdl-data-table__cell--non-numeric">Nb_sell_game</th>
                        <th class="mdl-data-table__cell--non-numeric">Type</th>
                        <th class="mdl-data-table__cell--non-numeric">Platform</th>
                        <th class="mdl-data-table__cell--non-numeric">actions</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for game in games %}
                    <tr>
                        <td class="mdl-data-table__cell--non-numeric">{{ game.id }}</td>
                        <td class="mdl-data-table__cell--non-numeric">{{ game.titleGame }}</td>
                        <td class="mdl-data-table__cell--non-numeric">{{ game.descriptionGame }}</td>
                        <td class="mdl-data-table__cell--non-numeric">{{ game.releasedAt ? game.releasedAt|date('Y-m-d') : '' }}</td>
                        <td class="mdl-data-table__cell--non-numeric"><img class="logoPlatform" src="/uploads/image/{{ game.gameCover }}" alt=""></td>
                        <td class="mdl-data-table__cell--non-numeric">{{ game.nbSellGame }}</td>
                        <td class="mdl-data-table__cell--non-numeric">
                            {% for type in game.type %}
                                {{ type.TitleType }}
                            {% endfor %}
                        </td>
                       <td class="mdl-data-table__cell--non-numeric">
                            {% for platform in game.platform %}
                                {{ platform.NamePlat }}
                            {% endfor %}
                        </td>
                        <td class="mdl-data-table__cell--non-numeric">
                            <a href="{{ path('game_show', {'id': game.id}) }}">show</a>
                            <a href="{{ path('game_edit', {'id': game.id}) }}">edit</a>
                        </td>
                    </tr>
                    {% else %}
                        <tr>
                            <td colspan="7">no records found</td>
                        </tr>
                    {% endfor %}
                    <tr>
                        <td colspan="0"> <a href="{{ path('game_new') }}">Create new</a> </td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>

{% endblock %}
